0.9.14 -> 0.9.15
 general:
  - Added CCD (CloneCD) file format support (CyberWarriorX)
  - Added missing scroll values to Vdp2 debugger (Guillaume)
  - Bug fixes for Panzer Dragoon games (Devmiyax)
  - HLE CD Block fix for Guardian Heroes (Devmiyax)
  - Improvements to screenshot feature (Guillaume)
  - Fixed Golden Axe controls (Devmiyax)
  - Fixes for Soukyu Gurentai (Devmiyax)
  - Control fixes for games such as Tempest, World Heroes, Chaos Control (d356)
  - Convert OpenAL core to YabThreads (Amon-X)
  - Added Put Sector support in the HLE CD block (CyberWarriorX)
  - Fixes for 68K reset instruction (CyberWarriorX)
  - Added Musashi 68K core (code by Karl Stenerud)
  - Sh2 cache emulation (Devmiyax, d356)
  - Low-level CD Block emulation (jhl, CyberWarriorX, d356)
  - Added optional timing for Sh2 and Scu Dma (d356)
  - Fixes for XInput controllers (CyberWarriorX)
 vidsoft:
  - Updated to use modern OpenGL (rdanbrook)
  - Added bilinear filtering (rdanbrook)
  - Fixes for Vdp1 outside clipping, line color screen and per-pixel priority (d356)
  - Added multi-threaded rendering (d356)
  - Added support for high-resolution video modes (d356)
  - Added support for Vdp2 sprite window, line scroll interval bit (d356)
  - Fixes for Scorcher, Dracula X, F1 Challenge, Sonic 2 interlaced mode (d356)
 opengl:
  - Numerous fixes and improvements (Devmiyax)
 sound:
  - MIDI input/output support (CyberWarriorX)
  - Added "New Scsp" sound core with scsp dsp support and improved timing (d356)
  - Added SSF sound format playing (code by R. Belmont, Richard Bannister, Neil Corlett)
 scu dsp:
  - Fixes for Dragon Force 2 (CyberWarriorX)
  - Fixes for Dead or Alive (Devmiyax)
  - ALU / flag handling fixes, fixes Croc (d356)
 macos:
  - OpenGL initialization fixes (CandyFace)
 android:
  - Interface improvements (Guillaume)
  - Added Multitouch support for the on-screen pad (Guillaume)
  - Added Pad support (Guillaume)
  - Added OpenSL sound core (Devmiyax)
  - Improved support for Android TV (Guillaume)
  - Show screenshot from savestates (Guillaume)
 qt:
  - Fixed dumping selected memory bug, added save tab (esperknight)
  - Fixed SCU DSP step function (CyberWarriorX)
  - Fixed cheat search bugs (CyberWarriorX)
  - Added Scsp slot debug playing (CyberWarriorX)
  - Linux support for multiple joysticks (Guillaume)
  - Added Modem settings (CyberWarriorX)
  - Added integer pixel scaling option (d356)
  - Improvements for mouse emulation (CyberWarriorX)
  - Added Racing Wheel, Mission Stick and Double Mission Stick controllers (d356)
  - Added ability to toggle HLE Bios emulation (CyberWarriorX)
0.9.13 -> 0.9.14
 general:
  - Fixed crash when bin is not found in a bin/cue.
  - Added Traditional Chinese translation.
  - Added Japanese translation.
  - Added Russian translation.
  - Updated German translation.
  - Added inline SH2 assembler function to main emulation code.
  - Fixed miscellaneous memory leak/uninitialized variables.
  - Added Stunner/Virtua Gun emulation
  - Added USB Dev cartridge emulation
  - Added SDL2 support
 android port:
  - Added screenshot feature to Android port
 emulated bios:
  - Work around fix for games trying to change scu mask from slave sh2 when using hle bios. Fixes Astal.
 gtk port:
  - Added extra checks to resolution setting to avoid potential leaks or crashing.
 macos port:
  - A few fixes to the Xcode projects for OS X
  - Fixed fullscreen mode when compiled with a newer OS X SDK
 qt port:
  - Fixed an issue where coff/elf files weren't selectable when using memory transfer function.
  - Fixed a bug where qt volume slider wasn't showing the saved value on startup.
  - Mouse will now optionally auto-hide with no movement
  - Added gui for inline assembler.
  - Revised Mouse emulation handling, added sensitivity setting.
  - Other fixes
 dreamcast port:
  - Fixed compilation
 video:
  - Fixed a bug where coordinate y increment wasn't being initialized under a specific set of circumstances. Should fix hang in Radiant Silvergun using OpenGL rendering.
  - Fixed Special Color Calculation mode 2
0.9.12 -> 0.9.13
 general:
  - Removed Carbon, PSP, Wii and Windows ports
  - Removed autotools based build
  - Removed autopackage
  - mdf/mds images support (CyberWarriorX)
  - Safeguard to reject unsupported cue files (CyberWarriorX)
  - CD+G support (CyberWarriorX)
  - Improved "manual mode" (Guillaume)
  - Made it possible to build Yabause to ouput 16BPP (Guillaume)
  - Hat support in SDL joystick code (anonymous)
  - gdb stub (Guillaume)
  - Improved emulated bios (CyberWarriorX)
 sound:
  - Fixed most of the distorted cd audio issues with the scsp core (CyberWarriorX)
 video:
  - Improvements to the software renderer (transparency, frameskip,  (Guillaume)
 qt port:
  - Memory editor and search (CyberWarriorX)
  - Improvements to the SH2 debugger: Back trace support, step over, step out (CyberWarriorX)
  - Infinite loop tracking (CyberWarriorX)
  - Don't restart emulation after every settings change (AmonX)
  - Made Yabause compilable with Qt5 and SDL2 (CyberWarriorX)
  - Log window can now be hidden (Guillaume)
  - Save and restore window position (Guillaume)
  - Can use .ini files in the application dir (Guillaume)
  - Mouse and 3D control pad support (CyberWarriorX)
  - Made drives and languages settings more user friendly (CyberWarriorX)
  - Changing to fullscreen now updates resolution too (CyberWarriorX)
  - Shortcuts editing (CyberWarriorX)
0.9.11 -> 0.9.12
 general:
  - Fixes to the dynamic recompiler (Ari64)
  - Added ARMv5 support to the dynarec (Ari64)
  - New OSD system (Guillaume)
  - Added "built-in" DDK to make it easier to compile on Windows (Guillaume)
 sound:
  - Improvements / Fixes in both SCSP and SCSP2 (Cwiiis)
 video:
  - Major improvements to the OpenGL renderer (Devmiyax)
  - Major improvements to the software renderer (Guillaume)
  - Some fixes to register emulation (Guillaume)
  - Improvements to line drawing functions in the software renderer (Cwiiis)
  - Fixed endianess bugs (Guillaume)
 cocoa port:
  - Added "load image" feature (BlueCrab)
  - Fixed the resize bug (BlueCrab)
 qt port:
  - Added shortcuts to toggle vdp2 layers (Benjamin Siskoo)
  - Fixed the "mute sound" feature (Guillaume)
  - It's now possible to compile the Qt port in "full software" mode (Guillaume)
  - Added an autostart option, disabled by default (Guillaume)
  - Now using a XDG compliant location for config file (Guillaume)
  - Added a debugger to the Qt port (CyberWarriorX)
  - DirectX cores can now be used in Qt port (CyberWarriorX)
  - Cheat search function (CyberWarriorX)
  - Option to show/hide menu and toolbar (Guillaume)
  - Close button in pad settings (guillaume)
0.9.10 -> 0.9.11
 general:
  - Now using CMake as the default build system.
    For now, autotools based build and "custom" build systems are still supported.
  - New Cocoa port
  - Added a dynamic recompiling SH2 core for x86 and ARM
  - New SCSP implementation
  - Major update of the software renderer from the yabause-rr team
  - Added an option to allow to execute from the cache
  - Improvements to the OpenGL renderer
 carbon port:
  - Improvements
 gtk port:
  - Added command line option to enable/disable frame skipping / limiting.
  - Added frame skipping/limiting configuration in settings.
  - Added --autoload command line option
  - Vdp2 layers can be toggled from the Vdp2 debug window
 psp port:
  - Added support for Media Engine CPU
  - Improvements to the PSP port 
 qt port:
  - Added command line support
 wii port:
  - Merged some stuff from the wiibrew fork, mostly related to SH2 emulation
 windows port:
  - Fixed the XBox controller driver
  - Fixed the "open iso then cancel bug"
0.9.9 -> 0.9.10
 scsp/68k:
  - Added code to make SCSP emulation frame-accurate (optional,
    enabled with --enable-scsp-frame-accurate configure switch).
  - Added a new 68000 emulation core.
 software video core:
  - Added line scroll emulation.
  - Improved user clipping.
  - Added some basic vertical scroll emulation, enough to get
    Sonic Jam working.
 gtk port
  - Gtk port is now compiling on Mac OS X.
  - Fixed full software screenshots.
  - Fixed store function in transfer dialog.
 windows port:
  - Added 12 player support.
  - Fixed a bug that was causing the memory transfer dialog
    to register the wrong filename after pressing "Browse".
  - Fixed bugs in Goto Address dialog.
  - Fixed a bug that was causing the vdp2 viewer dialog
    to register the wrong filename after pressing "Browse".
  - Added MD saving in SCU DSP debug dialog.
  - Added new Ram Watch dialog.
  - Added video recording feature.
  - Added move recording feature.
 general:
  - Added Lithuanian translation.
  - New sound core using OpenAL.
  - Added joystick core for Mac OS X.
  - Added a joystick core for Linux.
  - Added a PSP port.
  - Added support for loading ELF binaries.
  - Now using gettimeofday when available for better resolution.
  - Fixed save states.
0.9.8 -> 0.9.9
 opengl video core:
  - Fixed a bug that was causing some games to
    crash (albert odyssey, dragon ball, etc.)
 gtk port:
  - Automatic detection of current locale.
 qt port:
  - Added support of DESTDIR and --program-prefix
  - Automatic detection of current locale.
  - Added support for multiple players.
 windows port:
  - Fixed crash when going into settings.
  - Fixed mouse wheel usage in disassembler.
  - Rewrote as an unicode application.
  - Fixed the key configuration problem.
  - Fixed joypad support.
  - Partial fix for mouse wheel and slider problem.
  - Fixed fullscreen bug.
 general:
  - Hooks for renaming .desktop on installation.
  - .yts file are now installed.
  - Fixed parallel builds.
  - SDL peripheral core now handles all connected
    joysticks.
0.9.7 -> 0.9.8
 vdp2:
  - Fixed a bug in software renderer with rotating
    backgrounds.
 opengl video core:
  - Added gouraud shading and mesh processing.
    This is not enabled by default.
 software video core:
  - Fixed user clipping.
 gtk port:
  - Added mouse support.
  - Configuration dialog now displays key names instead
    of values. Also made it so each different configuration
    is saved. This broke compatibility with old .ini files.
 windows port:
  - Support for spaces in filenames when using CLI.
  - Added mouse support.
  - Added cheat search.
 general:
  - Added mouse emulation.
  - Added de, es, it, pt-br and sv translations
  - Support for "out of src" build.
  - Fixed compilation for non supported platforms.
    For instance this should fix compilation on dragonfly bsd.
    Fixed compilation on GNU/Hurd too.
0.9.6 -> 0.9.7
 vdp1:
  - Added clipping for line-based drawing to software renderer.
 vdp2:
  - Toggling a screen is now core independent.
  - Added per-character priority to software renderer.
 gtk port:
  - Fixed fullscreen setting and added a keep ratio one.
  - Fixed a bug in the vdp2 debugger that was causing the emu to crash.
  - Full software mode can be compiled again.
  - Fixed segfault when taking screenshots in full software mode.
  - Fixed default value for region.
  - Window position is now saved and restored when re-opening the emu.
  - Fixed a problem when changing input cores.
 qt port:
  - Improved compilation process: make (un)install now works.
  - Fix crash when configuring input while using translated version.
 windows port:
  - Changed resolution list generation so it adds the resolution to the list,
    regardless of whether it supports 60 hz or not.
  - Fixed error when trying to add blank cheat code.
  - Fixed all code that allowed the user to choose filename for saving so it
    automatically places a default extension.
  - Save and Clear buttons are now enabled when loading a cheat file.
  - Fixed a bug with AR code adding where it was tracking the wrong edit
    window.
  - Fixed a bug when adding raw cheat codes.
  - Fixed bugs in vdp1 debugger.
  - Fixed a bug where saving/loading a save state and an error occured would
    cause sound looping.
  - Scroll bar in memory editor now works properly when you move the thumb
    control.
  - Added support for x64 builds in Visual Studio.
 general:
  - Fixed a bug that was causing older save states to fail.
0.9.5 -> 0.9.6
 sdl joystick core:
  - Fixed it...
 software video core:
  - Improvements and bug fixes.
 carbon port:
  - Added detection of sdk in the build process.
  - Changed the cd core so that the first device found is used.
    Users shouldn't have anything to set up when using cd device now.
 gtk port:
  - Tagged more strings to be translatable.
  - Fixed bugs when setting a resolution in settings.
  - Fixed controller settings so keys can now be configured even if
    emulation is not started.
 qt port:
  - Removed libsjw core.
 wii port:
  - Updated to use the last devkitppc.
  - Added support for classic controller and for wiimote, disabled
    keyboard support.
 windows port:
  - Added command line support.
 general:
  - Updated copyright for some files where it was missing or
    inaccurate.
  - Fixes and improvements to the build process: fixed cross compilation
    of Qt port, added Wii port support, found a better way to "trigger"
    compilation of gen68k, fixed a bug when calling the sub-configure,
    .inc files are now cleaned, added MINI18N variable support, forwarded
    distclean rule to qt makefiles, configure now make sure the compiler
    is a cross compiler when cross compiling
  - Added a workaround for the "limits.h" problem... now distros should
    fix their headers...
  - Fixed the .desktop files for linux (gtk + qt ports)
  - Added translation files for fr and pt in the repository.
0.9.4 -> 0.9.5
 68k:
  - Added 1010 and 1111 line emulator support.
 cd block:
  - Reworked bin/cue support. Reading should be a lot more accurate
    now on tracks 2 and greater.
 emulated bios:
  - Fixed a bug in BupGetDate year calculation.
  - Fixed a bug where interrupt mask wasn't being set correctly when
    using emulated bios.
 smpc:
  - Added support for SMPC NMIREQ command.
  - Added reset button emulation.
 software video core:
  - Improved software renderer: window, line scroll, mosaic are now
    available and color offset and scroll screen has been fixed.
 gtk port:
  - Tagged most of gtk port strings to be translatable.
 qt port:
  - Added ability to specify address where binaries are loaded when
    using command line.
  - Other bug fixes.
 wii port:
  - Added support for bios and game loading from sd card.
  - Added sound support.
  - Added usb keyboard support.
 windows port:
  - Added pause emulation function.
  - Other bug fixes.
 dreamcast port:
  - Rewrote all of the Dreamcast CD Interface in hand-optimized
    assembly.
  - Enabled use of the emulated bios if there is no saturn.bin on
    the CD.
 general:
  - Updated peripheral interface so both ports can now be used and
    multiple pads can now be connected to each port.
  - Added translation support through mini18n library.
0.9.3 -> 0.9.4
 scsp:
  - Fixed a timer bug.
  - Fixed a bug with mcire word writes.
  - Added wave file output core to available sound cores.
  - Fixed a bug in total level attenuation.
  - Fixed a bug in EG.
 gtk port:
  - Redesigned memory dump window.
  - Redesigned SH2 debug window.
  - Other bug fixes.
 qt port:
  - Added initial support. It should be pretty much on par with the gtk port.
 wii port:
  - Added initial support.
 windows port:
  - Fixed a bug where emulation wasn't paused when save/load state as was
    selected from the menu.
  - Changed disassembler so it can scroll up and down.
  - Tweaked error messages so it doesn't report invalid opcode errors when
    running the fast interpreter.
  - Added SCSP common control register debug info to SCSP debug dialog
  - Other bug fixes.
 general:
  - Added a few internal tweaks that should yield some performance gains.
  - Added support for saving and loading cheats.
0.9.2 -> 0.9.3
 cart:
  - Fixed a couple of bugs with Netlink emulation.
 cd block:
  - Tweaked error handling for cue files so it's more helpful to the user.
 scu:
  - Fixed a bug in DSP MVI instruction.
  - Fixed a bug with DSP Program Ram Address.
  - Fixed ALU behaviour on NOP.
  - Other bug fixes.
 vdp2:
  - Fixed a bug where coefficient reading wasn't making sure reads weren't
    going out of bounds.
  - Tweaked frame-skipping so it only skips if frame time is faster/slower
    than a 1/2 a frame. The results are much better now.
  - Added general VDP2 debug info functionality.
  - Added partial end code support to VDP1 texture debugging.
 opengl video core:
  - Fixed a bug in 16 BPP sprites where pixels 0x0001-0x7FFF weren't
    transparent when transparency was enabled.
 gtk port:
  - Redesigned the window so each part can now be resized.
  - Added a toolbar and removed the buttons.
  - The sprite list now displays texture thumbnails.
  - Added tooltips to "run" and "pause" buttons.
  - Redesigned VDP2 debug window.
 windows port:
  - Fixed a bug that was causing Yabause to crash when run for the first time.
  - Added screen capture.
  - Reworked Input dialog so it'll allow for more than one peripheral(in the
    future).
  - Added a bunch of tools tips for basic and input settings.
  - Fixed a bug that was causing wrong VDP1 command information to sometimes
    be displayed.
  - Other bug fixes.
  - Fixed a bug that was causing the wrong breakpoint to be removed from the
    breakpoint list.
  - Text length is now limited correctly in breakpoint edit text controls.
 general:
  - Tweaked memory breakpoints so that regardless of whether you're using
    cached or cache-through addresses variations of an address, it'll still
    detect and break when the memory is accessed.
  - Other bug fixes.
0.9.1 -> 0.9.2
 cd block:
  - Fixed a bug in periodic timing. Most movies should play correctly now.
  - Other bug fixes
 scsp:
  - Fixed a bug that was causing reversed panning.
  - Fixed a bug in SCSP slot debug stats.
 sh2:
  - Fixed a bug that caused Yabause to crash when fetching instructions from
    some areas.
 vdp2:
  - Fixed undocumented plane size setting when debugging vdp2
  - Special Color Calculation mode added to vdp2 debugging
 opengl video core:
  - Added the eight missing sprite types in Vdp1ReadPriority.
 software video core:
  - Fixed a bug where Polygons that used non-RGB values had the wrong
    priority.
  - Fixed a bug that was causing some scrolling issues.
 gtk port:
  - CD, sound, and video cores can now be changed without restarting the
    emulator.
  - Added basic support for save states.
 windows port:
  - Fixed compilation with MSYS.
  - Changed SCSP debug dialog so it allows for individual slot saving.
  - Fixed a bug when using goto address in memory editor.
  - Fixed a bug where Yabause crashed when joystick was unplugged.
  - Added memory search support.
  - Fixed cheat dialog. Codes should show up after re-opening it.
 general:
  - Fixed some bugs where vdp1/vdp2 layers wouldn't be drawn after switching
    video cores.
  - Fixed a bug when switching between opengl and software video cores.
  - Added memory search function.
0.9.0 -> 0.9.1
 scsp:
  - Fixed slot pitch LFO. Amplitude LFO is probably more accurate now too.
 emulated bios:
  - Added Backup RAM manager functions.
 opengl video core:
  - Fixed a bug with VDP2 2x2 plane size rotation screens.
  - Optimized tile mode rotation screens
  - Added support for VDP1 polyline.
 software video core:
  - FPS display now working.
  - Added support for VDP2 rotation without coefficient tables.
  - Fixed a bug in VDP2 24 BPP bitmap mode.
  - Fixed several clipping bugs in Normal and Scaled Sprites.
  - Fixed a bug with VDP2 2x2 plane size rotation screens.
  - Optimized tile mode rotation screens.
 linux port:
  - Cursor now disappears after 2 seconds of inactivity in the gtk port.
 macos port:
  - New high resolution icon.
  - Add some missing OS X application property list keys.
 windows port:
  - Fixed window position bug.
  - Other bug fixes.
 general:
  - Tweaked frame timing code so it's more accurate.
  - Re-implemented save states.
  - Some internal changes do so that sound, video, and cd cores can be changed
    at runtime.
0.8.6 -> 0.9.0
 opengl video core:
  - Added support for VDP1 line draw.
  - Added support for VDP2 Rotation with coefficient tables.
  - Other bug fixes.
 software video core:
  - Added support for VDP1 frame buffer switching.
  - Added support for VDP2 Rotation with coefficient tables.
  - Fixed a bug in frame buffer erasing.
  - Other bug fixes.
 linux port:
  - Fixed a bug on 64 bits CPU.
  - Hanged the location of the ini file to conform to XDG specification.
  - Removed some old useless code.
  - Added a "subclass" to GtkDrawingArea so sprite textures and screenshots
    can now be saved through a popup menu.
 macos port:
  - Added fullscreen support.
  - Added graphics layer toggling.
 windows port:
  - Fixed a stack corruption bug in DirectInput code.
  - Fixed(hopefully this time) the joystick centering bug.
0.8.5 -> 0.8.6
 68k:
  - Fixed a bug which caused the emulator to crash if 68k execution jumped to
    an invalid address.
 scsp:
  - Fixed a bug where the slot buffer pointers weren't set correctly.
  - Added a function for debugging SCSP registers
 vdp1:
  - MODR returns the correct version number now.
  - Fixed a bug that caused Local Coordinates, etc. commands to not get executed
    correctly.
 software video core:
  - Added vdp2 horizontal flip for cell mode.
 linux port:
  - Improved vdp1 window a bit.
  - Updated website url.
  - Some cleanups
 macos port:
  - Added browse buttons for some settings.
  - Added universal build support.
  - Emulation loop was optimized.
  - Fixed bug when "Run" is selected from the menu.
  - Audio is now muted when emulator is paused.
  - Fixed Backup RAM saving.
  - Fixed a bug that was causing filenames to be parsed wrong.
  - Other bug fixes and cleanups.
 windows port:
  - msys compiling is now fixed.
  - Windows position is now saved when program exits.
  - Fixed sound volume adjustment. Should be more accurate now.
  - Fixed centering bug on joysticks.
  - Fixed POV hat diagonals.
  - Sound is now muted in the about dialog.
  - Other bug fixes.
 general:
  - Added COFF file support.
0.8.0 -> 0.8.5
 scsp:
  - Added functions for dumping individual slots to wav files. 
 scu:
  - Fixed SCU execution speed
 sh2:
  - Added DVDNTL/DVDNTH mirrors
  - Added overflow interrupt
 vdp1:
  - Added function for displaying vdp1 textures for debugging
  - Other bug fixes
 vdp2:
  - Added more RBG0 debug info
 68k:
  - Added a core system for m68k and a c68k core interface.
  - Added a dummy m68k core based on old yabause code, working enough
    to boot the bios.
 emulated bios:
  - Registers are now reset correctly
  - Fixed bug in BiosSetSh2Interrupt
  - Added Read/Write Save support
  - Added undocumented CD Authentication function
 opengl video core:
  - RBG0 bug fixes
  - Rotation Screen improvements
 software video core:
  - Added 32 BPP cell draw mode
 bsd port:
  - Added support for OpenBSD
 linux port:
  - Fixed the segfault that occured when opening the preferences dialog.
  - Added texture display in vdp1 debug dialog
  - Other GUI improvements
 macos port:
  - Added browse button for bios setting
  - Other bug fixes
 windows port:
  - Fixed a bug that was causing sound to not work on some people's computers.
  - Added texture display in vdp1 debug dialog
  - Added window/full screen resizing
  - Added full screen on startup
  - Settings changed to use tabs instead of what was previously used
  - Other bug fixes
  - Logging now is done to a logging window when DEBUG is defined while
    compiling.
  - Added cheat dialog
  - Added memory editor
  - Added Visual C++ project file
 general:
  - Added Cheat support. Largely untested.
0.7.2 -> 0.8.0
 cart:
  - Moved Netlink code to its own file: netlink.c
  - Improved Netlink AT command handling. Most games using the X-Band software
    should work now.
  - Fixed a number of bugs that were causing strange behaviour in Netlink
    emulation.
  - Added Modem states. Online Mode is now handled correctly.
  - Added Networking code that allows two Yabause instances to communicate
    with each other. Still somewhat buggy.
 cd block:
  - Fixed an issue where games that didn't specify an index along with the
    track when playing cd audio didn't work correctly.
 vdp1:
  - Code cleanups.
 vdp2:
  - Code cleanups.
  - Adjusted frameskip code so it skips up to a maximum of 9 frames at a time.
 direct sound core:
  - Fixed a bug that was screwing up the buffer position. Now it's almost
    perfect(at the very least there's no clicks or pops anymore).
 sdl sound core:
  - Fixed a bug that was screwing up the buffer position. Now it's almost
    perfect(at the very least there's no clicks or pops anymore).
 software video core:
  - Polygon drawing improvements
  - Removed the silly y-axis clipping technique
  - Added a filter for clipping detection
  - Added vdp1 "end codes" in textures, but didn't find a game that use it
    yet, please report bugs.
  - Code Cleanups
  - Fixed a potential bug in polygons
  - Fixed a bug in polygon clipping
 linux port:
  - Code cleanups
  - Changed a few things in configure script to fix compilation problems when
    OpenGL and/or gtkglext were not present.
  - Added a log popup window.
  - Added a screenshot window on gtk port.
  - Fixed Pause/Screenshot bug.
  - Removed the "Keep ratio" setting as it can't be done in gtk and
    replaced it by a "Fullscreen" setting.
  - Added a yabause entry in gnome and KDE application menus
  - Changed configure script so it fails on linux if --with-opengl is used
    and gtlglext is not installed.
 dreamcast port:
  - Compiles and runs again.
  - Added Normal Sprite support.
  - Added Distorted Sprite support.
  - Added Scaled Sprite support.
  - Added in YabauseGetTicks support.
  - Ported VDP2 portion of software renderer.
  - Added new cd core.
  - Added very simple GUI.
  - Other bug fixes.
 netbsd port:
  - Added patch to get yabause working on netbsd with cd support thanks to
    Takashi Kyohara.
 windows port:
  - Added pad configuration(first pad only).
  - Added support for gamepads/joysticks.
  - Removed duplicate cd code.
  - Added a separate thread for cd access. SPTICDGetStatus is the only
    function making use of it for now.
  - Fixed fullscreen bug
  - Added dialog and settings saving/loading for Netlink stuff(disabled for now).
  - Other bug fixes.
 general:
  - Commited mac port fix by Antime.
  - Coordinate Increment Registers are now set to 1 when using the quick load
    function. It seems there's at least one game out there that doesn't want
    to set it.
  - Improved Backup Ram bios emulation functions. The only functions that
    still aren't functioning correctly are Bup Write, Bup Read, Bup Verify,
    and Bup Set/Get Date. So still no saving, but at least there's no errors
    when running games now.
0.7.1 -> 0.7.2
 cart:
  - A few Netlink changes(still doesn't work).
 cd block:
  - CD Block play disc command fixes and improvements. Play Modes now handled correctly.
  - Added correct Repeat counter support.
  - CD audio data is now written to its own buffer, which is then played by the SCSP.
 scsp:
  - CD audio data is now played by the SCSP. EFSDL and EFPAN support still needs to be added.
 opengl video core:
  - glutInit is now called before any other glut function(except for on the windows port).
 software video core:
  - Added normal sprite flipping(copied from scaled sprites).
  - Corrected a bug with 8 bpp color calculation in scaled and distorted sprites.
  - Fixed a bug that caused duplicated textures in 8 bpp regular sprites.
  - Distorted sprites made safer (won't read outside the texture)
  - Fixed transparency for distorted sprites.
  - Fixed scaled sprites bug in zoom points modes two points mode and C point
    upper than A.
  - Fixed a bug that was causing sprite priority problems.
 linux port:
  - Fixed a gtk warning.
  - Added Joystick support.
  - Added a test in configuration dialog so input tab is displayed only when
    emulation is initialized.
  - Added NTSC/PAL setting
  - Input settings are now disabled when PERCore isn't initialized.
  - Added a sound setting tab.
 macos port:
  - Added code to handle settings (everything should be working now, except
    the "browse" buttons).
  - Controls are now using the new Per* functions.
  - Fixed some bugs in combo boxes.
 windows port:
  - EC Compatibility list link added to help menu.
  - Fixed an issue where default values weren't set correctly when yabause.ini
    wasn't present.
  - Fixed an issue where Yabause would go into an endless loop if bios path
    was incorrect.
  - DirectX error messages now return more info when there's an error.
  - Fixed an issue where people without hardware sound buffers on their
    sound card would have problems trying to run with sound.
  - Fixed some inaccurate information in the README.WIN file.
  - Fixed cut-off text in Memory Transfer dialog.
  - All dialog windows can now be closed using the X icon in the top-right
    corner.
 general:
  - Fixed an issue where in certain cases Yabause would crash when sound
    settings were altered.
  - Some useless files were removed.
  - Moved SDL detection in "global" part of configure script as it may be used
    by all ports.
  - Fixed a weird issue where a few functions were trying to return a value
    when they obviously can't(How come GNU C compilers won't detect this?).
  - Fixed a number of things that were causing compilation issues in VC++(VC++
    still doesn't completely compile Yabause yet).
  - Configure now checks if c99 variadic macros are available.
0.7.0 -> 0.7.1
 opengl video core:
  - Added polygons that use a palette.
 software video core:
  - Added scaled sprites with clipping and flipping.
  - Full screen mode now working correctly.
  - Added correct support for vdp2 resolutions other than 320x224.
  - Fixed compilation issue on big endian systems.
  - Added function to software renderer for fetching width/height of the display buffer
  - Memory leak when clearing VDP1 frame buffer fixed.
 linux port:
  - Added autostart and fullscreen command line switches.
  - Fixed a bug that was causing the emulator to sometimes start in using PAL
    timing.
  - Added an option to choose the peripheral interface at configure time.
  - Started to move the gtk controls code into a proper peripheral core.
  - Added code so software renderer can be used without OpenGL.
  - Added --without-opengl switch to configure script to prevent OpenGL
    detection.
  - Resizing is now enabled when using software renderer and opengl.
 macos port:
  - Fixed a bug that was causing the emulator to sometimes start in using PAL
    timing.
  - Some fixes to carbon interface (preferences should works now).
 windows port:
  - Fixed a bug that was causing the emulator to sometimes start in using PAL
    timing.
  - Added shortcuts to the Yabause website, forum, donation page, and the
    submit bug page to the main menu.
  - Added About dialog.
 general:
  - Fixed a potential issue when enabling/disabling auto frameskipping.
0.6.0 -> 0.7.0
 cart:
  - Added Action Replay flash emulation.
 cd block:
  - Fixed Read Directory/Change Directory commands. This fixes Duke Nukem 3D
    and a few others that have Netlink support.
  - Audio data is no longer stored when read by the cd block. This fixes
    Guardian Heroes.
  - other bug fixes.
 scsp:
  - Added function that allows developers to get easy to read information on
    the requested scsp sound slot.
  - Fixed a bug where the phase wasn't getting updated if DISDL was set to 0.
    This fixes Falcom Classics, Nadesico, and many other games using ADX.
  - Fixed a bug that was causing OCT with a setting of 0x8 to play at the
    wrong octave.
  - Fixed a bug that was causing King of Fighters 95(and possibly others) to
    go into an endless loop.
 scu:
  - Improved SCU interrupt handling.
 sh2:
  - Fixed a bug in exts.b opcode.
  - Corrected some bugs in sh2idle
  - SCI emulation improvements
 smpc:
  - Added proper DOTSEL reporting.
  - Region settings are now properly preserved.
  - Changed region autodetection so it defaults to the japanese region if
    it can't autodetect.
 68k:
  - Fixed a few bugs.
 vdp2:
  - Debug info bug fixes
  - Implemented one mode of external HV latching. This fixes King of Fighters
    95.
  - External latch and sync flags are now cleared on TVSTAT reading.
  - Added speed throttle(basically skips 6 frame draws).
  - Added long writes for VCSTA, LSTA0, and LSTA1 registers.
 software video core:
  - Rewrote it so it's no longer dependent on SDL.
  - Added NBG2/NBG3 support.
  - Added tile mode rendering.
  - Added frame buffer emulation.
  - Added normal sprite drawing.
  - Changed Normal Sprite drawing so that Scaled Sprite and Distorted Sprite
    functions can use it too.
  - Added some support for Scaled/Distorted Sprites.
  - Added VDP1 Polyline and Line drawing to Software renderer.
  - Fixed a bunch of bugs.
 opengl video core:
  - Fixed a few issues with OpenGL initialization.
  - Fixed a window/fullscreen bug.
  - Added a smart Line Scroll/Vertical Cell Scroll interpreter.
  - Changed Color Offset so it uses the same method as the Software renderer.
  - Fixed Rotation Table reading.
  - Fixed a bug in VIDOGLVdp1PolylineDraw where coordinate reads were writing
    to invalid areas.
 linux port:
  - Removed some useless debug messages and fixed the "quit" menu entry.
  - Added vdp1 debug dialog in new gtk interface.
  - Added dialog for sh2, video core switching.
  - Added reset menu entry.
  - Added about dialog.
  - Added MSH2 and SSH2 debug dialogs to the GTK interface.
  - Added transfer dialog to the new gtk ui.
  - Added empty Memory Dump dialog.
  - Added the dialog box for scsp
  - Added shortcut F7 for command Step
  - Added support for memory breakpoints in sh2 debug dialog
  - Sound is now muted when emulation is paused (in gtk interface).
  - The window data is now saved while emulation is paused.
  - Screenshot function added.
 macos port:
  - Added carbon interface
  - Can now build .dmg image from .app directory
  - Other improvements
 windows port:
  - Added SCSP Debug Dialog.
  - Added Reset option to menu.
  - Now uses DirectInput and DirectSound instead of SDL.
  - Added dialog for video, sound and input core switching.
  - Fixed window/fullscreen switching.
  - Added support for memory breakpoints in sh2 debug dialog.
  - Sound volume can now be adjusted in the settings dialog.
  - Sound is now muted when dialog window has focus.
  - Auto frameskip can be be enabled via video settings menu.
  - Other bug fixes.
 general:
  - Better handling of NULL string when opening a file
  - Fixed a few memory leaks
  - ISO support fixes
  - PAL support added
  - Fixed v-blank timing
  - Added auto frameskipping(still not working correctly)
  - Improved sound buffering
  - Fixed handling of invalid SH2 opcodes
  - Dummy sound core bug fixes
  - Fixed some warnings
  - Added experimental bios emulation
  - Added memory breakpoints
  - Added a function to the sound cores for setting the volume.
0.5.0 -> 0.6.0
 cart:
  - accesses to Netlink addresses when Netlink was not present was causing
    errors, this has been fixed.
 scu:
  - fixed DSP debugging.
  - fixed a Timer 0 bug. Fixes Shining the Holy Ark.
 sh2:
  - added SH2 idle detection. Speed should be significantly faster.
  - separated original core(now the "debug interpreter core") from the core
    with idle detection.
  - sh2 cores are now selectable.
 68k:
  - added 68k disassembler.
  - fixed some warnings.
 vdp1:
  - added debugging functions.
  - fixed bug that was causing garbage graphics in Albert Odyssey.
  - fixed bug that was causing graphics in Legend of Oasis to not get drawn.
  - other bug fixes.
 vdp2:
  - fixed a few priority bugs.
  - added initial special priority emulation.
 general:
  - added fullscreen and fixed resize in Windows. Still needs quite a bit of
    work.
  - changed event handling a bit. Gained quite a bit of speed from it.
  - fixed some Mac OS X port bugs.
  - fixed some Dreamcast port bugs.
  - added proper Linux gui.
  - Fixed YGL initialization.
  - fixed some Windows ports bugs
  - other bug fixes.
0.0.7 -> 0.5.0
 cd block:
  - bug fixes.
  - improved timing.
 cart:
  - added Action Replay emulation.
  - added 8/32 Mbit dram emulation.
  - added 4/8/32 Mbit backup ram emulation.
  - added 16 Mbit rom emulation.
  - added very early Netlink emulation.
 scsp:
  - added Stephane Dallongeville's SCSP's core. Thanks again Stef!
  - fixed a couple of bugs that were causing movies to lock up.
 68k:
  - added Stephane Dallongeville's 68k's core. Thanks again Stef!
  - fixed a few endian related bugs.
  - added debugger(still need disassembler though).
 scu:
  - added dsp emulation.
  - added dsp debugger.
  - added indirect dma emulation.
  - added timer0 emulation.
  - bug fixes.
 smpc:
  - added very basic SH2 direct peripheral mode.
  - added clock change commands.
  - added slave sh2 off/on commands.
  - fixed intback command timing.
  - bug fixes.
 sh2:
  - added FRT, WDT, and partial UBC emulation.
  - fixed a couple of opcode bugs.
  - re-added debugger.
  - added some early dynarec code.
 vdp1:
  - added sprite priorities.
  - added color offset.
  - bug fixes.
 vdp2:
  - added basic rbg0 emulation(no rotation, etc.).
  - added backscreen emulation.
  - added caching.
  - added color offset.
  - added video mode changing.
  - added screen scrolling.
  - fix caching bug.
  - other bug fixes.
  - added early software video rendering. It's still pretty much unuseable at this point.
general:
  - added binary execution.
  - rewrote entire code in C for portability and speed.
  - fixed a number of configure bugs, added a few more command-line options.
  - fixed code so it's 64-bit friendly.
  - added iso and bin/cue files support.
  - changed several parts of yabause to allow for multiple implementations of video, sound, and peripheral code..
  - added save states(currently broken unfortunately).

0.0.6 -> 0.0.7
 cd block:
  - added cd interface for porters.
  - whole bunch of cd commands were added. Most games should now
    start to boot.
  - added region auto-detection.
 mpeg card:
  - added basic emulation.
  - added mpeg rom loading support. 
 scsp:
  - bug fixes.
 scu:
  - bug fixes.
 smpc:
  - bug fixes.
 superh:
  - fixed dma.
  - lots of other bugfixes.
  - opcode optimizations.
 vdp1:
  - added sprite caching.
  - added scaled sprites.
  - added sprite color modes 0, 1, 2, 3, 4.
  - macosx color bug fixed.
  - bug fixes.
 vdp2:
  - macosx color bug fixed.
  - bug fixes.
 general:
  - added fps counter.
  - switched to OpenGL, removed SDL_gfx.
  - yui interface added. Now each port should be able to provide
    a nice custom ui.
  - threads removed, program should be more stable now.
  - added save ram loading ability.

0.0.5 -> 0.0.6
 scu
  - added direct dma.
 superh
  - added division unit.
  - fixed endianess issue.
 vdp2
  - added NBG3.
  - fixed color bug.

0.0.4 -> 0.0.5
 vdp2:
  - lot of work, the vdp2 is now capable of
    displaying the set-clock screen of the
    bios.
 monitor/debugger:
  - added memory dump possibility.

0.0.2 -> 0.0.4
 monitor/debugger:
  - added debugging possibility, can now pause/resume emulation
    and execute instructions step by step;
  - opcodes are disassembled interactively.
 general:
  - early emulations of different cpu/onchip modules: scu, vdp1
    and dmac;
  - translate most of the code from french to english;
  - added synchronisation between processors;
  - yabause is now using SDL, remove all fork/ipc code and use
    SDL_Thread instead.

0.0.1 -> 0.0.2
 sh2:
  - "mull" is now decoded;
  - changed the way the opcodes are decoded, now using a table with pointers
    to function, should be faster.
 intc:
  - now tests if the interrupt level is correct before accepting one.
 vdp2:
  - early emulation, just throws an interrupt every half-frame.
 general:
  - vdp1 and vdp2 are now synchronized with the master sh;
  - fixed some memory bug, all the shared memory allocated is de-allocated;
  - now using configure/make, should be more portable;
  - modified things to be more c++ and less linux/c.
